function msg = evalinR(command)
% Run a command within the open R session.
% this function was inspired by Robert Henson's Matlab R-link toolbox
% http://www.mathworks.com/matlabcentral/fileexchange/5051

global RBMS_LinkHandle
msg = '';

%Although there would be the Evaluatee method,
%we exclusively rely on EvaluateNoReturn, as this poses way less problems to Matlab if R bugs

try
    RBMS_LinkHandle.EvaluateNoReturn(command);
    msg = '';
catch
    msg = lasterr;
    if nargout == 0
        error('Problem evaluating command %s.\n%s',command,msg);
    end
end

if nargout == 0
    clear result;
end
