function mymat = rcell2mat(cellwithNA)
%function mymat = rcell2mat(cellwithNA)
% if R is supposed to return a matrix but that matrix includes NA or NaN
% (in R), then it returns a cell array where these values are converted to strings#
% describing an ActiveX error
% This function reconverts the cell array back to matrix, replacing
% characters with NaN

    if isnumeric(cellwithNA)
        mymat=cellwithNA;
        return;
    end
    
    cellwithNA(logical(cellfun('isclass',cellwithNA,'char')))={NaN};
    mymat=cell2mat(cellwithNA);