function msg = putRdata(varname,data)
% Get data to the open R session and assigns it the variable name 'varname' in R.
% this function was inspired by Robert Henson's Matlab R-link toolbox
% http://www.mathworks.com/matlabcentral/fileexchange/5051



global RBMS_LinkHandle

msg = '';
try
    RBMS_LinkHandle.SetSymbol(varname,data);
catch

    msg = lasterr;
    if nargout == 0
        error('Could not put data.\n%s',msg);
    end
end
